Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002079TestLinkAPI - XMLRPCpublic2009-02-09 16:592009-03-17 15:40
ReporterJaskaJ 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformApacheOSWindows XPOS VersionSP3
Product Version1.8 RC 4 
Fixed in Version1.8 RC 5 
Summary0002079: Newest test case version doesn't appear in getTestCasesForTestPlan results
DescriptionOnly the first (oldest) version of test case is in the getTestCasesForTestPlan results.
Steps To ReproduceCreate a new version of test case that is included in a test plan. Use TL API's getTestCasesForTestPlan method to get test cases in the test plan.
=> Only the first test case version is in the result set.
Additional InformationIt might be better if TL API method getTestCasesForTestPlan would return the newest versions of test cases.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserMozilla Firefox 3.0.6
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0005320)
fman (administrator)
2009-02-09 23:25

a parameter must be used to allow user to choose desired version, and if missing then last.
(0005349)
JaskaJ (reporter)
2009-02-10 14:24

What parameter is that?

- Issue History
Date Modified Username Field Change
2009-02-09 16:59 JaskaJ New Issue
2009-02-09 16:59 JaskaJ Browser => Mozilla Firefox 3.0.6
2009-02-09 16:59 JaskaJ PHP Version => 5.2.8
2009-02-09 23:24 fman Status new => assigned
2009-02-09 23:24 fman Assigned To => fman
2009-02-09 23:25 fman Note Added: 0005320
2009-02-10 14:24 JaskaJ Note Added: 0005349
2009-02-19 01:35 fman Status assigned => resolved
2009-02-19 01:35 fman Fixed in Version => next DEV - 1.8 RC 5
2009-02-19 01:35 fman Resolution open => fixed
2009-03-17 15:40 mhavlat Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker